Bug 136102 - CUPS filters should not use locale when printing PostScript
CUPS filters should not use locale when printing PostScript
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: 136483 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-10-17 16:53 EDT by Göran Uddeborg
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-30 16:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2004-10-17 16:53:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sv-SE; rv:1.7.2)

Description of problem:
CUPS nowdays takes locale into consideration, which is great whenever
it talks to me.  But when the various filters generate PostScript
source code, the code itself should not depend on the locale.  In
particlular, decimal numbers should be written in the American style
with a full stop rather than a comma.  This does not seem to be the
case, which causes printouts to fail.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.env - LANG=sv_SE.utf8 "PPD=/some/ppd/file.ppd"
/usr/lib/cups/filter/texttops 120 g issue 1 "" /dev/null

Actual Results:  The generated code contains lines like

   /FN /cupsNormal findfont [12,000 0 0 11,333 0 0] makefont def

Note "12,000" rather than "12.000".  PostScript interpreters like
GhostScript won't accept that.

Additional info:

The contents of the PPD file does not seem to matter.  I've reproduced
this with a file containing only

   *PPD-Adobe: "4.3"
Comment 1 Tim Waugh 2004-10-20 09:45:26 EDT
*** Bug 136483 has been marked as a duplicate of this bug. ***
Comment 2 Tim Waugh 2004-10-20 11:13:16 EDT
Reported upstream as:
Comment 3 Tim Waugh 2004-10-20 11:18:46 EDT
Fixed package is cups-1.1.22-0.rc1.6.  This should be available on Fedora devel
within the next day or two -- please verify that it fixes the problem.  Thanks.
Comment 4 Göran Uddeborg 2004-10-30 16:02:59 EDT
Now I've tested now (with cups-1.1.22-0.rc1.8), and the problem is
indeed fixed.

Note You need to log in before you can comment on or make changes to this bug.